{ config, ... }:
{
  imports = [ ./nginx ];

  services.seafile = {
    enable = config.system.server.enable;
    adminEmail = "jimbo@${config.domains.p2}";
    initialAdminPassword = config.secrets.mainAccPass;
    ccnetSettings.General.SERVICE_URL = "https://sync.${config.domains.p2}";
    seafileSettings.fileserver.host = "unix:/run/seafile/server.sock";
  };
}
