{ lib, config, ... }:
{
  services.nginx.virtualHosts."sync.${config.domains.p2}" = lib.mkIf config.services.seafile.enable {
    enableACME = true;
    forceSSL = true;
    locations = {
      "/" = {
        proxyPass = "http://unix:/run/seahub/gunicorn.sock";
        proxyWebsockets = true;
      };
      "/seafhttp" = {
        proxyPass = "http://unix:/run/seafile/server.sock";
        proxyWebsockets = true;
      };
    };
  };
}
